Subject: Re: Regarding generation of Header file
From: Earnie Boyd <[email-masked]>
To: Gupta Sheetal GUR <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Fri, 1 Oct 1999 05:22:35 -0700 (PDT)

--- Gupta Sheetal GUR <[email-masked]> wrote:
> hi there,
> I had mailed to [email-masked]' but not got any response
> 
>  i am sorry to disturb you.But its a urgent requirement .
> 
> THANKS in advance.
> 
> Kindly suggest me to come out of the following problem.
> I am using flex and byacc tool on winnt4.0
> When i generate the y.tab.c and y.tab.h files using byacc -d test.y
> test.y
> 
> %{
> #include <stdio.h>
> %}
> 
> %union  {
> 	int a;
> 	double x;
> }
> 
> %token <x> NAME
> %token <a> NUMBER
> 
> %%
> statement: NAME '=' expression
> 	|expression
> 	;
> expression:NUMBER '+' NUMBER  
> 	|NUMBER '-' NUMBER
> 	;
> %%
> 
> 
> 
> PROBLEM
> the header file contain the union part two times
> or one complete and other cut one  why???
> 
> y.tab.h
> #define NAME 257
> #define NUMBER 258
> typedef union  {
> 	int a;
> 	double x;
> }nt a;
> 	double x;
> } YYSTYPE;
>  YYSTYPE;
> extern YYSTYPE yylval;
> 
> THANKS
> 
>  Sheetal Gupta   
>  Software Engineer
>  AVL India Software Pvt Ltd.
> 376-377 Udyog Vihar, Phase IV,
> Gurgaon -122015 (Haryana (INDIA)
> 
> > Tel 91-0124-341-302/ 769,340-387/858/389/386
> E-mail:  [email-masked]
>                [email-masked]
> 	       [email-masked] 

I don't have a clue.  I've forwarded you message to the list.  Can anyone help
Seetal?

=====
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]